<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <title>change color</title>

</head>

<body>

    <button id = "button">change color</button>
    <script>
        var btn = document.querySelector('#button');

        function random(number) {
            return Math.floor(Math.random()*number);

        }

        function bgChange() {

            var rndCol = 'rgb(' + random(255) + ',' + random(255) + ',' + random(255) + ')';
            document.body.style.backgroundColor = rndCol;
            return rndCol;

        }

        btn.onclick = bgChange;

    </script>
</body>

</html>